%define upstream_name    Lingua-EN-Syllable
%define upstream_version 0.31

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Count the number of syllables in English words
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Lingua/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Lingua::EN::Syllable::syllable() estimates the number of syllables in the
word passed to it.

Note that it isn't entirely accurate... it fails (by one syllable) for
about 10-15% of my /usr/dict/words. The only way to get a 100% accurate
count is to do a dictionary lookup, so this is a small and fast alternative
where more-or-less accurate results will suffice, such as estimating the
reading level of a document.

I welcome pointers to more accurate algorithms, since this one is pretty
quick-and-dirty. This was designed for English (well, American at least)
words, but sometimes guesses well for other languages.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.310.0-2.mga10
+ Revision: 2214531
- Mageia 10 Mass Rebuild

* Mon Apr 18 2022 tv <tv> 0.310.0-1.mga9
+ Revision: 1851139
- update to 0.31

* Sun Mar 20 2022 umeabot <umeabot> 0.300.0-5.mga9
+ Revision: 1804234
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.300.0-4.mga8
+ Revision: 1495313
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.300.0-3.mga7
+ Revision: 1268874
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.300.0-2.mga6
+ Revision: 1029149
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.300.0-1.mga6
+ Revision: 1002075
- update to 0.30

* Fri Jun 05 2015 bcornec <bcornec> 0.280.0-1.mga6
+ Revision: 822923
- imported package perl-Lingua-EN-Syllable


* Fri Jun 05 2015 cpan2dist 0.28-1mga
- initial mageia release, generated with cpan2dist
